OGRE: Ogre::PageContent Class Reference - OGRE Documentation

Public Member Functions | Protected Attributes

# Ogre::PageContent Class Reference
[Paging]

Interface definition for a unit of content within a page. More...

`#include <OgrePageContent.h>`

Inheritance diagram for Ogre::PageContent:
[legend]

List of all members.

## Public Member Functions
| PageContent (PageContentFactory *creator)
virtual | ~PageContent ()
PageManager * | getManager () const
SceneManager * | getSceneManager () const
virtual void | _notifyAttached (PageContentCollection *parent)
| Internal method to notify a page that it is attached.
virtual const String & | getType () const
| Get the type of the content, which will match it's factory.
virtual void | save (StreamSerialiser &stream)=0
| Save the content to a stream.
virtual void | frameStart (Real timeSinceLastFrame)
| Called when the frame starts.
virtual void | frameEnd (Real timeElapsed)
| Called when the frame ends.
virtual void | notifyCamera (Camera *cam)
| Notify a section of the current camera.
virtual bool | prepare (StreamSerialiser &ser)=0
| Prepare data - may be called in the background.
virtual void | load ()=0
| Load - will be called in main thread.
virtual void | unload ()=0
| Unload - will be called in main thread.
virtual void | unprepare ()=0
| Unprepare data - may be called in the background.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Protected Attributes
PageContentFactory * | mCreator
PageContentCollection * | mParent

## Detailed Description

Interface definition for a unit of content within a page.

Definition at line 49 of file OgrePageContent.h.

## Constructor & Destructor Documentation

Ogre::PageContent::PageContent | ( | PageContentFactory * | creator | ) |

virtual Ogre::PageContent::~PageContent | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void Ogre::PageContent::_notifyAttached | ( | PageContentCollection * | parent | ) | `[virtual]`

Internal method to notify a page that it is attached.

virtual void Ogre::PageContent::frameEnd | ( | Real | timeElapsed | ) | `[virtual]`

Called when the frame ends.

Definition at line 71 of file OgrePageContent.h.

virtual void Ogre::PageContent::frameStart | ( | Real | timeSinceLastFrame | ) | `[virtual]`

Called when the frame starts.

Definition at line 69 of file OgrePageContent.h.

PageManager* Ogre::PageContent::getManager | ( |  | ) | const

SceneManager* Ogre::PageContent::getSceneManager | ( |  | ) | const

virtual const String& Ogre::PageContent::getType | ( |  | ) | const`[virtual]`

Get the type of the content, which will match it's factory.

virtual void Ogre::PageContent::load | ( |  | ) | `[pure virtual]`

Load - will be called in main thread.

virtual void Ogre::PageContent::notifyCamera | ( | Camera * | cam | ) | `[virtual]`

Notify a section of the current camera.

Definition at line 73 of file OgrePageContent.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

virtual bool Ogre::PageContent::prepare | ( | StreamSerialiser & | ser | ) | `[pure virtual]`

Prepare data - may be called in the background.

virtual void Ogre::PageContent::save | ( | StreamSerialiser & | stream | ) | `[pure virtual]`

Save the content to a stream.

virtual void Ogre::PageContent::unload | ( |  | ) | `[pure virtual]`

Unload - will be called in main thread.

virtual void Ogre::PageContent::unprepare | ( |  | ) | `[pure virtual]`

Unprepare data - may be called in the background.

## Member Data Documentation

PageContentFactory* Ogre::PageContent::mCreator`[protected]`

Definition at line 52 of file OgrePageContent.h.

PageContentCollection* Ogre::PageContent::mParent`[protected]`

Definition at line 53 of file OgrePageContent.h.

The documentation for this class was generated from the following file:

- OgrePageContent.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:04